## org.plovr
Class PlovrSoySyntaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.plovr.PlovrSoySyntaxException

All Implemented Interfaces:
  Serializable

    public final class PlovrSoySyntaxException

extends RuntimeException

`PlovrSoySyntaxException` wraps a `SoySyntaxException` so that it can display a plovr-specific error message.

Author:
  bolinfest@gmail.com (Michael Bolin)
See Also:
  Serialized Form

Constructor Summary
`PlovrSoySyntaxException(SoySyntaxException e, JsInput input)`

Method Summary
`int` `getCharNumber()`
`JsInput` `getInput()`
`int` `getLineNumber()`
`String` `getMessage()`
`String` `getTemplateName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlovrSoySyntaxException

    public PlovrSoySyntaxException(SoySyntaxException e,
                                   JsInput input)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getLineNumber

    public int getLineNumber()

### getCharNumber

    public int getCharNumber()

### getTemplateName

    @Nullable
    public String getTemplateName()

### getInput

    public JsInput getInput()